﻿$(document).ready(function () {

    // RTE -------------------------------------------------------------
    var templateEditor = {
        toolsList: ["font", "style", "alignment", "lists", "doAction", "images"],
        showFooter: true,
        showHtmlSource: true,
        tools: {
            font: ["fontName", "fontSize", "fontColor", "backgroundColor"],
            style: ["bold", "italic", "underline", "strikethrough"],
            alignment: ["justifyLeft", "justifyCenter", "justifyRight", "justifyFull"],
            lists: ["unorderedList", "orderedList"],
            doAction: ["undo", "redo"],
            images: ["image"],
        },
        imageBrowser: {
            filePath: "http://mvc.syncfusion.com/OdataServices/FileBrowser/",
            ajaxAction: "http://mvc.syncfusion.com/OdataServices/fileExplorer/fileoperation/doJSONAction",
            extensionAllow: "*.png, *.gif, *.jpg, *.jpeg"
        },
    }

    var myViewModel = {
        //template editor
        templateEditor: templateEditor,
    };

    ko.applyBindings(myViewModel);

});




